org.apache.torque.generator.source

## Class SourceImpl

- java.lang.Object
- - org.apache.torque.generator.source.SourceImpl

- All Implemented Interfaces:
    Source
  Direct Known Subclasses:
    CombinedFileSource, FileSource, JdbcMetadataSource

      public abstract class SourceImpl
      extends Object
      implements Source

  The base implementation of the source interface.
  Version:
    $Id: SourceImpl.java 1839288 2018-08-27 09:48:33Z tv $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SourceImpl()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract SourceElement` | `createRootElement()` Reads the root element and the whole untransformed source tree.
    `SourceElement` | `getRootElement()` Returns the root element of the source.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.torque.generator.source.Source

      `getContentChecksum, getDescription, getLastModified, getSourceFile`

- - ### Constructor Detail

    - #### SourceImpl

          public SourceImpl()

  - ### Method Detail

    - #### createRootElement

          protected abstract SourceElement createRootElement()
                                                      throws SourceException

      Reads the root element and the whole untransformed source tree.
      Returns:
        the root element, not null.
      Throws:
        `SourceException` - if the SourceElement cannot be created.

    - #### getRootElement

          public SourceElement getRootElement()
                                       throws SourceException

      Description copied from interface: `Source`
      Returns the root element of the source.
      Specified by:
        `getRootElement` in interface `Source`
      Returns:
        the root element of the source, not null.
      Throws:
        `SourceException` - if the source cannot be constructed.

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.